package com.ruoyi.quotation.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 【请填写功能名称】对象 t_seapriceitem
 * 
 * @author ruoyi
 * @date 2021-06-01
 */
public class TSeapriceitem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long fId;

    /** 上级id */
    @Excel(name = "上级id")
    private Long fPid;

    /** 费用id */
    @Excel(name = "费用id")
    private Long fFeeid;

    /** 20GP */
    @Excel(name = "20GP")
    private BigDecimal fSpecification1;

    /** 40GP */
    @Excel(name = "40GP")
    private BigDecimal fSpecification2;

    /** 40HC */
    @Excel(name = "40HC")
    private BigDecimal fSpecification3;

    /** 45HC */
    @Excel(name = "45HC")
    private BigDecimal fSpecification4;

    /** 20RH */
    @Excel(name = "20RH")
    private BigDecimal fSpecification5;

    /** 40RH */
    @Excel(name = "40RH")
    private BigDecimal fSpecification6;

    /** 汇率 */
    @Excel(name = "汇率")
    private BigDecimal fExrate;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal fUnitprice;

    /** 类型区分0第一费用、1第二费用 */
    @Excel(name = "类型区分0第一费用、1第二费用")
    private String fType;

    /** 状态 */
    @Excel(name = "状态")
    private Long fBillstatus;

    /** 删除状态 */
    private String delFlag;

    /** 删除状态 */
    private BigDecimal rmb;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPid(Long fPid) 
    {
        this.fPid = fPid;
    }

    public Long getfPid() 
    {
        return fPid;
    }
    public void setfFeeid(Long fFeeid) 
    {
        this.fFeeid = fFeeid;
    }

    public Long getfFeeid() 
    {
        return fFeeid;
    }
    public void setfSpecification1(BigDecimal fSpecification1) 
    {
        this.fSpecification1 = fSpecification1;
    }

    public BigDecimal getfSpecification1() 
    {
        return fSpecification1;
    }
    public void setfSpecification2(BigDecimal fSpecification2) 
    {
        this.fSpecification2 = fSpecification2;
    }

    public BigDecimal getfSpecification2() 
    {
        return fSpecification2;
    }
    public void setfSpecification3(BigDecimal fSpecification3) 
    {
        this.fSpecification3 = fSpecification3;
    }

    public BigDecimal getfSpecification3() 
    {
        return fSpecification3;
    }
    public void setfSpecification4(BigDecimal fSpecification4) 
    {
        this.fSpecification4 = fSpecification4;
    }

    public BigDecimal getfSpecification4() 
    {
        return fSpecification4;
    }
    public void setfSpecification5(BigDecimal fSpecification5) 
    {
        this.fSpecification5 = fSpecification5;
    }

    public BigDecimal getfSpecification5() 
    {
        return fSpecification5;
    }
    public void setfSpecification6(BigDecimal fSpecification6) 
    {
        this.fSpecification6 = fSpecification6;
    }

    public BigDecimal getfSpecification6() 
    {
        return fSpecification6;
    }
    public void setfExrate(BigDecimal fExrate) 
    {
        this.fExrate = fExrate;
    }

    public BigDecimal getfExrate() 
    {
        return fExrate;
    }
    public void setfUnitprice(BigDecimal fUnitprice) 
    {
        this.fUnitprice = fUnitprice;
    }

    public BigDecimal getfUnitprice() 
    {
        return fUnitprice;
    }
    public void setfType(String fType) 
    {
        this.fType = fType;
    }

    public String getfType() 
    {
        return fType;
    }
    public void setfBillstatus(Long fBillstatus)
    {
        this.fBillstatus = fBillstatus;
    }

    public Long getfBillstatus()
    {
        return fBillstatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public BigDecimal getRmb() {
        return rmb;
    }

    public void setRmb(BigDecimal rmb) {
        this.rmb = rmb;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPid", getfPid())
            .append("fFeeid", getfFeeid())
            .append("fSpecification1", getfSpecification1())
            .append("fSpecification2", getfSpecification2())
            .append("fSpecification3", getfSpecification3())
            .append("fSpecification4", getfSpecification4())
            .append("fSpecification5", getfSpecification5())
            .append("fSpecification6", getfSpecification6())
            .append("fExrate", getfExrate())
            .append("fUnitprice", getfUnitprice())
            .append("fType", getfType())
            .append("fBillstatus", getfBillstatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
